<div id='tool-dec-mat-<%=@tools_decision_mat.id%>' class='dec-mat-open admin-col' dec-mat-id='<%=@tools_decision_mat.id%>'>

  <%= form_with url: tools_decision_mat_save_values_path, method: :patch do |form| %>
    <!-- ici ajout du submit caché pour que le click 'Enter' ne lance pas le vrai submit. Car 'Enter' lance le premier submit du form, qui ici ne fait rien.-->
    <button type="submit" disabled style="display: none" aria-hidden="true"></button>

    <h5>
      <button id='header-dec-mat-<%=@tools_decision_mat.id%>' class="btn collapsed" type="button" data-toggle="collapse" data-target="#dec-mat-<%=@tools_decision_mat.id%>" aria-expanded="false" aria-controls="dec-mat-<%=@tools_decision_mat.id%>" style='float:right;'>
        <%= fa_icon('caret-down') %>
      </button>

      <%= @tools_decision_mat.name %>
      <%= submit_tag t('.save'), class: 'btn btn-outline-dark', id: "dec-mat-submit-#{@tools_decision_mat.id}" %>
      &nbsp;&nbsp;
      <%= link_to fa_icon_edit, edit_tools_decision_mat_path(@tools_decision_mat), remote: true %>
      <%= link_to fa_icon_delete, @tools_decision_mat, method: :delete, data: { confirm: t('confirm.sure') } %>
    </h5>

    <div class="collapse-prowhy-ls show collapse multi-collapse" id='dec-mat-<%=@tools_decision_mat.id%>'>
      <%= hidden_field_tag 'id', @tools_decision_mat.id %>
      <%= hidden_field_tag "max-value-#{@tools_decision_mat.id}", @tools_decision_mat.max_value, class: 'dec-mat-max-value', 'dec-mat-id': @tools_decision_mat.id %>
      <table id='dec-mat-table'>
        <thead class='mat-title'>
          <tr class='dec-mat-crit first'>
            <th rowspan="2" colspan="2" class="mat-diag first">
              <div class="mat-diag-t1">
                <%= t('.criteria')%>
                <%= link_to fa_icon_edit, tools_decision_mat_add_criteria_path(id: @tools_decision_mat.id), remote: true %>
                <br/><%= t('.threshold') %><br/>
                <%= t('.weight') %>
              </div>
              <div class="mat-diag-t2">
                <%= t('.entries') %>
                <%= link_to fa_icon_edit, tools_decision_mat_add_entry_path(id: @tools_decision_mat.id), remote: true %>
              </div>
            </th>
            <% @tools_decision_mat.crit_dec_mats.includes([:labels_criterium]).each do |crit_dec_mat| %>
              <th colspan="2" style='padding: 0;'><%= crit_dec_mat.labels_criterium.name %>
                <br/>( >
                <span class='dec-mat-thresholds' crit-id='<%=crit_dec_mat.id%>' title='Seuil'>
                  <%= crit_dec_mat.labels_criterium.threshold %>
                </span>
                )
              </th>
            <% end %>
            <th rowspan="2">Total</th>
            <th colspan="3" class='last'><%= t('.valid') %> ?</th>
          </tr>
          <tr class='dec-mat-crit'>
            <% @tools_decision_mat.crit_dec_mats.each do |crit_dec_mat| %>
              <th colspan='2' class='dec-mat-weights' crit-id='<%=crit_dec_mat.id%>' title='Pondération'>
                <%= crit_dec_mat.weight %>
              </th>
              <!-- <th class='dec-mat-thresholds' crit-id='<%=crit_dec_mat.id%>' style='color:#f00;' title='Seuil'><%#= crit_dec_mat.labels_criterium.threshold #* crit_dec_mat.weight
              %></th> -->
            <% end %>

            <th class='mat-valid-title'>?</th>
            <th class='mat-valid-title'><%= t('.valid') %></th>
            <th class='mat-valid-title'><%= t('.not_valid') %></th>
          </tr>
        </thead>
        <tbody>
          <% @tools_decision_mat.dec_mat_links.includes(:entry).each do |dec_mat_link| %>
            <% entry = dec_mat_link.id %>
            <tr>
              <th colspan="2" class='mat-entry first-2'><%= dec_mat_link.entry.name %></th>

              <% @tools_decision_mat.crit_dec_mats.each do |crit_dec_mat| %>
                <% dec_mat_val = Tools::DecMatVal.where(dec_mat_link: dec_mat_link, crit_dec_mat: crit_dec_mat)&.first
                   # si pas trouvé => on le crée
                   dec_mat_val = @tools_decision_mat.add_val_link_crit(dec_mat_link, crit_dec_mat) unless dec_mat_val
                %>

                <td class='mat-value entry-<%=entry%>'>
                  <input name='[dec_mat_val][<%=dec_mat_val.id%>]' type="text" dec-mat-id='<%=@tools_decision_mat.id%>' dec-mat-entry-id='<%=entry%>' dec-mat-crit-id='<%=crit_dec_mat.id%>' dec-mat-tot-id='mat-value-tot-<%=dec_mat_val.id%>' class='dec-mat-val' value="<%= dec_mat_val.value %>" size="3">
                </td>
                <td id='mat-value-tot-<%=dec_mat_val.id%>' style='padding: 3px 10px'>-</td>
              <% end %>

              <td class='mat-total' dec-mat-entry-id='<%=entry%>'>
                -
              </td>

              <td class='mat-validation radio-item'>
                  <%= radio_button_tag "[dec_mat_checked][#{entry}]", 'in_progress', dec_mat_link.matrix_status_in_progress?, class: 'radio dec-mat-radio radio-inprogress', 'dec-mat-id': @tools_decision_mat.id %>
                  <label for="_dec_mat_checked_<%=entry%>_in_progress"></label>
              </td>
              <td class='mat-validation radio-item radio-item-valid'>
                <%= radio_button_tag "[dec_mat_checked][#{entry}]", 'validated', dec_mat_link.matrix_status_validated?, class: 'radio dec-mat-radio radio-valid', 'dec-mat-id': @tools_decision_mat.id %>
                <label for="_dec_mat_checked_<%=entry%>_validated"></label>
              </td>
              <td class='mat-validation radio-item radio-item-invalid'>
                <%= radio_button_tag "[dec_mat_checked][#{entry}]", 'invalidated', dec_mat_link.matrix_status_invalidated?, class: 'radio dec-mat-radio radio-invalid', 'dec-mat-id': @tools_decision_mat.id %>
                <label for="_dec_mat_checked_<%=entry%>_invalidated"></label>
              </td>
              <!-- <td class='dec-mat-icons'>
                <%#= link_to fa_icon_delete, tools_decision_mat_delete_entry_path(id: @tools_decision_mat.id, entry: entry), method: :delete %>
              </td> -->
              <% entry += 1 %>
            </tr>
          <% end %>
        </tbody>
      </table>
    </div>
  <% end %>
  <br>
</div>
